GuidesAPI Reference
Log In
API Reference

Create Delivery Block (Resource-based Optimization)

Create a new delivery block that considers resource availability, and allows you to add and pair drivers and vehicles within a block. A delivery block is a work time slot for drivers and vehicles in a team. Note: The ability to add and pair drivers and vehicles through delivery blocks is available only to users of Bringg's resource-based optimization.

Body Params
int32
required

The ID of the team for which this new delivery block is created.

string

The name of this new delivery block.

string

The description of this new delivery block.

date
required

The starting date and time of this new delivery block.

date
required

The ending date and time of this new delivery block.

string

Set delivery block to be recurring according to a rule. MUST BE IN UPPERCASE. See https://tools.ietf.org/html/rfc5545 to generate rule.

int32
required

The number of drivers that should work this delivery block.

int32

(Resource-based optimization only) Used together with orignal_capacity to determine the number of resources available to assign to the delivery block.

users
object

(Driver-based optimization only) An array of objects containing the Id, name, and email of the drivers assigned to this new delivery block.

user_ids
array of int32s

(Driver-based optimization only) The IDs of the drivers assigned to this delivery block.

user_ids
delivery_blocks_resources
array of objects

(Resource-based optimization only) An array of objects used to add resource details such as driver, vehicle or trailer IDs, and start location type.

delivery_blocks_resources
delivery_block_breaks
array of objects

An array of objects used to add breaks, including break start and end times, locations, and durations when applicable.

delivery_block_breaks
delivery_block_recharges
array of objects

(Resource-based optimization only) An array of objects used to add reload times to a delivery block. Required only when drivers or vehicles need to reload at a specific time. If they can reload multiple times based on the creation of new routes, this array is not needed.

delivery_block_recharges
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json